## heartleech 1.0.0i+git20140606.1.3ab1d60

=== Makefile ===


heartleech: heartleech.c
	gcc -I../openssl/include -L../openssl -lcrypto -lssl -lcrypto -ldl -lpthread -o heartleech heartleech.c

## heartleech 0~git20140607.3ab1d60

=== debian/changelog ===
heartleech (0~git20140607.3ab1d60-0kali3) kali-dev; urgency=medium

  * Use github for openssl git repo

 -- Steev Klimaszewski <steev@kali.org>  Thu, 11 Jul 2024 22:33:55 -0500

heartleech (0~git20140607.3ab1d60-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Remove libpcre3 in depends

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Oct 2023 12:14:40 +0200

heartleech (0~git20140607.3ab1d60-0kali1) kali-dev; urgency=medium

  * New upstream release
  * Add lintian override for binaries

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 09:31:23 -0600

heartleech (0~20140515-0kali6) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * New helper-script format
  * Add Uploaders

  [ Steev Klimaszewski ]
  * Sed in the proper march for armhf to fix build with gcc-11

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 09 Dec 2021 21:04:25 +0700

heartleech (0~20140515-0kali5) kali-dev; urgency=medium

  * Add helper-script

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 05 Nov 2021 20:35:13 +0000

heartleech (0~20140515-0kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Dec 2020 10:09:47 +0100

heartleech (0~20140515-0kali3) kali-dev; urgency=medium

  * Add to windows-resources

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 11 Jun 2019 20:13:26 +0100

heartleech (0~20140515-0kali2) kali; urgency=medium

  * Add dlopen_libpcre_so_3.patch to dlopen libpcre.so.3 instead of
    libpcre.so so that we don't need a dependency on libpcre-dev.
  * Add a manual dependency on libpcre3 instead.
  * During build, checkout version 1.0.1g of OpenSSL instead of checking out
    the current master branch.
  * Use CFLAGS/LDFLAGS provided by debhelper (to benefit from hardening
    options).

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 May 2014 21:22:30 +0200

heartleech (0~20140515-0kali1) kali; urgency=low

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 May 2014 09:18:51 +0200

=== debian/control ===
Source: heartleech
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
           Ben Wilson <g0tmi1k@kali.org>,
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               git,
Standards-Version: 4.6.2
Homepage: https://github.com/robertdavidgraham/heartleech
Vcs-Git: https://gitlab.com/kalilinux/packages/heartleech.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/heartleech

Package: heartleech
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kali-defaults,
Description: Scanner detecting systems vulnerable to the heartbleed OpenSSL bug
 This is a typical "heartbleed" tool. It can scan for systems vulnerable
 to the bug, and then be used to download them. Some important features:
 .
  * conclusive/inconclusive verdicts as to whether the target is vulnerable
  * bulk/fast download of heartbleed data into a large files for offline
    processing using many threads
  * automatic retrieval of private keys with no additional steps
  * some limited IDS evasion
  * STARTTLS support
  * IPv6 support
  * Tor/Socks5n proxy support
  * extensive connection diagnostic information

=== debian/rules ===
#!/usr/bin/make -f

# Hacks to build openssl in CI
# * The `RELEASE` env variable is set to the distro release (eg. kali-dev)
#   by the CI pipeline, however for the openssl config script this variable
#   has a different meaning. It's supposed to be set to a kernel release,
#   in case the caller wants to prevent auto-detection via `uname -r`.
#   Workaround: unset it.
# * The openssl config script detects the architecture via `uname -m`,
#   however for i386 builds it returns x86_64. That's not what we want.
#   Workaround: set the `MACHINE` env variable.
ifeq ($(CI),true)
ifneq ($(RELEASE),)
  RELEASE :=
endif
ifeq ($(BUILD_ARCH),i386)
  MACHINE := i686
  export MACHINE
endif
endif

# The sed below is due to gcc-11 changing the handling of hardfloat and softfloat
# for ARM devices.  Unlike prior versions of gcc, with gcc-11+, you have to pass
# -march=armv7-a+fp to show that you want/have support for hardware floating point.

%:
	dh $@

override_dh_auto_build:
	# Build openssl from git and build heartleech against it
	git clone https://github.com/openssl/openssl.git -b OpenSSL_1_0_1g
	cd openssl; \
	sed -ie 's/march=armv7-a"/march=armv7-a+fp"/g' ./config; \
	./config; \
	make depend; \
	make; \
	gcc $$CFLAGS ../heartleech.c $$LDFLAGS libssl.a libcrypto.a -ldl -lpthread -o heartleech -I./include

override_dh_auto_install:
	# Copy the newly compiled binary in the package
	mkdir -p debian/heartleech/usr/bin
	cp openssl/heartleech debian/heartleech/usr/bin/

override_dh_auto_clean:
	rm -rf openssl

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0~git%cd.%h \
  https://github.com/robertdavidgraham/heartleech HEAD
# Use the following when upstream starts to tag releases:
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/device-pharmer-$1\.tar\.gz/ \
# https://github.com/robertdavidgraham/heartleech/tags .*/v?(\d\S+)\.tar\.gz

## heartleech 1.0.0i+git20140606.1.3ab1d60

=== debian/changelog ===
heartleech (1.0.0i+git20140606.1.3ab1d60-0kali1~jan+nus1) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Fri, 16 Jul 2021 18:04:12 -0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>,
-           Ben Wilson <g0tmi1k@kali.org>,
-Build-Depends: debhelper-compat (= 13),
-               ca-certificates,
-               git,
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), git
+Standards-Version: 4.5.0
 Homepage: https://github.com/robertdavidgraham/heartleech
 Vcs-Git: https://gitlab.com/kalilinux/packages/heartleech.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/heartleech
 
 Package: heartleech
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         kali-defaults,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpcre3
 Description: Scanner detecting systems vulnerable to the heartbleed OpenSSL bug
  This is a typical "heartbleed" tool. It can scan for systems vulnerable
  to the bug, and then be used to download them. Some important features:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Build openssl from git and build heartleech against it
	git clone git://git.openssl.org/openssl.git -b OpenSSL_1_0_1g
	cd openssl; \
	./config; \
	make depend; \
	make; \
	gcc $$CFLAGS ../heartleech.c $$LDFLAGS libssl.a libcrypto.a -ldl -lpthread -o heartleech -I./include

override_dh_auto_install:
	# Copy the newly compiled binary in the package
	mkdir -p debian/heartleech/usr/bin
	cp openssl/heartleech debian/heartleech/usr/bin/

override_dh_auto_clean:
	rm -rf openssl

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# The author hasn't made any release yet, it's just in case he start doing some

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/heartleech-$1.tar.gz/" \
https://github.com/robertdavidgraham/heartleech/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
